import request from '@/utils/request'

// 查询质量月报S3012列表
export function listS3012(query) {
  return request({
    url: '/production/s3012/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S3012详细
export function getS3012(id) {
  return request({
    url: '/production/s3012/' + id,
    method: 'get'
  })
}

// 新增质量月报S3012
export function addS3012(data) {
  return request({
    url: '/production/s3012',
    method: 'post',
    data: data
  })
}

// 修改质量月报S3012
export function updateS3012(data) {
  return request({
    url: '/production/s3012',
    method: 'put',
    data: data
  })
}

// 删除质量月报S3012
export function delS3012(id) {
  return request({
    url: '/production/s3012/' + id,
    method: 'delete'
  })
}

// 导出质量月报S3012
export function exportS3012(query) {
  return request({
    url: '/production/s3012/export',
    method: 'get',
    params: query
  })
}